package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicTrafficType {
    public static final String TRAIN_STATION = "火车站";
    public static final String BUS_STATION = "汽车站";
    public static final String BUS_STOP = "公交站";
    public static final String PORT = "港口";

    private static DicTrafficType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicTrafficType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(TRAIN_STATION, TRAIN_STATION);
        dicMap.put(BUS_STATION, BUS_STATION);
        dicMap.put(BUS_STOP, BUS_STOP);
        dicMap.put(PORT, PORT);
    }

    public static DicTrafficType getInstacne(){
        if (instance == null)
        {
            instance = new DicTrafficType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
